missing SESSION global ref in progressbarform_validate

Bug #1479434 reported by Gary Leydon on 2015-07-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Low
Robert Lyon
1.10
Low
Robert Lyon
1.9
Low
Robert Lyon
15.04
Low
Robert Lyon
15.10
Undecided
Unassigned

Bug Description

mahara 15.0.4 (found while browsing code on github)

Tree: d22a42d5ee

mahara/htdocs/admin/users/progressbar.php

function progressbarform_validate()
lines 171 - 178

$SESSION global is used in line 175 but not declared in globals on line 172

Robert Lyon (robertl-9) on 2015-07-31
Changed in mahara:
assignee: nobody → Robert Lyon (robertl-9)
milestone: none → 15.10.0
importance: Undecided → Low
status: New → In Progress

Reviewed: https://reviews.mahara.org/5025
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/7b212c535c2ec38bbd865883958aedb5564597c3
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 7b212c535c2ec38bbd865883958aedb5564597c3
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 13:12:05 2015 +1200

Bug 1479434: $SESSION undefined for validation step

Need to have $SESSION available to be able to send error to it

behatnotneeded

Change-Id: Ie298c95a8ef9a4fdc5589a6934110fc86c1e771d
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-08-05
Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "1.10_STABLE" branch: https://reviews.mahara.org/5047

Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/5048

Reviewed: https://reviews.mahara.org/5047
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/d668d5a690bea5c31aa68dea8c50f2861b368ece
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.10_STABLE

commit d668d5a690bea5c31aa68dea8c50f2861b368ece
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 13:12:05 2015 +1200

Bug 1479434: $SESSION undefined for validation step

Need to have $SESSION available to be able to send error to it

behatnotneeded

Change-Id: Ie298c95a8ef9a4fdc5589a6934110fc86c1e771d
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 7b212c535c2ec38bbd865883958aedb5564597c3)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5048
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/10c100dd71b3c2acbcf362733f0abea6fc8a0136
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 10c100dd71b3c2acbcf362733f0abea6fc8a0136
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 13:12:05 2015 +1200

Bug 1479434: $SESSION undefined for validation step

Need to have $SESSION available to be able to send error to it

behatnotneeded

Change-Id: Ie298c95a8ef9a4fdc5589a6934110fc86c1e771d
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 7b212c535c2ec38bbd865883958aedb5564597c3)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/5046
Committed: https://git.nzoss.org.nz/mahara/mahara/commit/9ec28641d6c985fabfd1e1fc73104a2f67fec867
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 9ec28641d6c985fabfd1e1fc73104a2f67fec867
Author: Robert Lyon <email address hidden>
Date: Fri Jul 31 13:12:05 2015 +1200

Bug 1479434: $SESSION undefined for validation step

Need to have $SESSION available to be able to send error to it

behatnotneeded

Change-Id: Ie298c95a8ef9a4fdc5589a6934110fc86c1e771d
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 7b212c535c2ec38bbd865883958aedb5564597c3)

Robert Lyon (robertl-9) on 2016-11-06
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers